### Method

# Spelling Provider get_language

#### Declaration [src]

    SpellingLanguage*
    spelling_provider_get_language (
      SpellingProvider* self,
      const char* language
    )

#### Description [src]

Gets an `SpellingLanguage` for the requested language, or `NULL` if the language is not supported.

#### Parameters

`language`

  Type: `const char*`

  The language to load such as `en_US`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SpellingLanguage`

An `SpellingProvider` or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.